#ifdef STATISTICS
#include "Behavioural/include/Stat_binary_tree.h"

namespace morpheo {
namespace behavioural {
  Stat_binary_tree * Stat_binary_tree::goto_top_level (void)
  {
    Stat_binary_tree * tree = this;

    while (tree->_root != NULL)
      tree = tree->_root;

    return tree;
  }

};
};
#endif
